package com.sw.mes.yb.pc.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.core.utils.RequestPage;
import com.sw.mes.yb.pc.entity.ExceptionInfo;
import org.springframework.data.jpa.domain.Specification;


import java.util.List;

public interface ExceptionInfoService extends BaseService<ExceptionInfo> {

    List<ExceptionInfo> findListByPage(Specification<ExceptionInfo> specification, RequestPage page);

    void createInfo(Long id, String sectionNo, String displayName, String act, String tip);

    void updateUsable(String propertyCode);

    List<ExceptionInfo> getByPropertyCode(String sectionNo);

    void createInfo(ExceptionInfo info);

    ExceptionInfo getUnableByPropertyCode(String sectionNo);

    void handleExceptionInfos(List<ExceptionInfo> infos, String sectionNo);

    ExceptionInfo getByPropertyCodeAndCause(String sectionNo, String cause);

}
